repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.4.0
    hooks:
      - id: check-added-large-files
      - id: check-ast
      - id: check-merge-conflict
      - id: check-yaml
      - id: detect-private-key
      - id: end-of-file-fixer
      - id: trailing-whitespace
      - id: debug-statements
  - repo: https://github.com/jumanjihouse/pre-commit-hooks
    rev: 2.1.5
    hooks:
      - id: shellcheck
      - id: shfmt
  - repo: https://github.com/hadolint/hadolint
    rev: v1.23.0
    hooks:
      - id: hadolint
  - repo: https://github.com/jazzband/pip-tools
    # Makes sure the requirements.txt file is up to date
    rev: 5.2.1
    hooks:
      - id: pip-compile
  - repo: https://github.com/timothycrosley/isort
    # Sorts import statements for you
    rev: 5.0.9
    hooks:
      - id: isort
